OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.TextureStorage

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTextureStorage :: MonadIO m => m Bool
- gl_ARB_texture_storage :: Bool
- pattern GL_TEXTURE_IMMUTABLE_FORMAT :: GLenum
- glTexStorage1D :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> m ()
- glTexStorage2D :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()
- glTexStorage3D :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetARBTextureStorage :: MonadIO m => m Bool Source #

Is the ARB_texture_storage extension supported?

gl_ARB_texture_storage :: Bool Source #

Is the ARB_texture_storage extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTextureStorage` in those cases instead.

# Enums

pattern GL_TEXTURE_IMMUTABLE_FORMAT :: GLenum Source #

# Functions

glTexStorage1D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `levels`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> m () |

Manual page for OpenGL 4.x.

glTexStorage2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `levels`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 4.x.

glTexStorage3D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `levels`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> m () |

Manual page for OpenGL 4.x.